# Create Ad Hoc Release

Create an ad hoc release with a linked orchestration process, bypassing the standard release group cadence.

Endpoint: POST /rmg/api/release/adhoc
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Request fields (application/json):

  - `processIdentifier` (string, required)
    Identifier of the orchestration process

  - `processInputIdentifier` (string)
    Identifier of the orchestration process input (optional)

  - `name` (string, required)
    Name of the ad hoc release

  - `version` (string, required)
    Version of the ad hoc release

  - `identifier` (string, required)
    Unique identifier for the ad hoc release

  - `description` (string)
    Optional description

  - `expectedStartTs` (integer, required)
    Expected start timestamp in milliseconds

  - `expectedEndTs` (integer, required)
    Expected end timestamp in milliseconds

  - `color` (string)
    Hex color code for the release

  - `tags` (object)
    Key-value tags for the release

## Response 201 fields (application/json):

  - `id` (string, required)
    ID of the created release

  - `identifier` (string, required)
    Identifier of the created release

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


